Search documentation of tiger_stripe

# Stripe.Services.Tax.CalculationService (tiger_stripe v0.1.1)

Copy Markdown View Source

TaxProductResourceTaxCalculation

A Tax Calculation allows you to calculate the tax to collect from your customer.

Related guide: Calculate tax in your custom payment flow

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Tax Calculation

retrieve(client, calculation, params \\ %{}, opts \\ [])

Retrieve a Tax Calculation

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a Tax Calculation

Calculates tax based on the input and returns a Tax `Calculation` object.

# retrieve(client, calculation, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a Tax Calculation

Retrieves a Tax `Calculation` object, if the calculation hasn’t expired.